## org.jvnet.maven.plugin.antrun
Class RetentionSetFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter
              org.jvnet.maven.plugin.antrun.RetentionSetFilter

All Implemented Interfaces:
  java.lang.Cloneable

    public final class RetentionSetFilter

extends GraphFilter

Use this filter to create a retention set from a DependencyGraph. Indicate which artifacts you wish to include in the set by passing the artifactId(s) to one of the constructors.

Author:
  Paul Sterk

Field Summary

Fields inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`RetentionSetFilter()`

Method Summary
`void` `addConfiguredArtifact(ArtifactElement a)` Nested <artifact> element can be used to specify what artifacts to exclude.
`DependencyGraph` `process()`

Methods inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`add, evaluateChild, evaluateChild`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetentionSetFilter

    public RetentionSetFilter()

Method Detail

### addConfiguredArtifact

    public void addConfiguredArtifact(ArtifactElement a)

  Nested <artifact> element can be used to specify what artifacts to exclude.

### process

    public DependencyGraph process()

  Specified by:
    `process` in class `GraphFilter`

Copyright © 2011. All Rights Reserved.